Repository 32bit  Forum
Repository 64bit  Wiki

Slackware64 e applicazioni a 32 bit

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Slackware64 e applicazioni a 32 bit

Messaggioda JohnnyMnemonic » gio giu 11, 2009 21:45

Salve, come da titolo volevo sapere tra quelli che stanno provando la nuova current a 64 bit come si stanno regolando per le applicazioni a 32 bit di cui non si dispone dei sorgenti (ad esempio Skype)
Avatar utente
JohnnyMnemonic
Staff
Staff
 
Messaggi: 2733
Iscritto il: sab set 04, 2004 23:00
Località: Bologna
Nome Cognome: Giuseppe Palmiotto
Slackware: 14.0
Kernel: 3.5.5-thanatos

Re: Slackware64 e applicazioni a 32 bit

Messaggioda Blizzard » gio giu 11, 2009 22:01

Questa discussione mi interessa, dato che ho scaricato la current e domani intendo cominciare a testarla per migrarci definitivamente all'uscita della 13.

Se il problema effettivamente esiste si potrebbe dedicare un thread all'elenco delle applicazioni che non sarà possibile lanciare nell'ambiente a 64 bit?

Del tipo in un thread si parlava di wine perchè non riesce ad emulare su processori 64 ecc...

Ciao
Gio
Avatar utente
Blizzard
Master
Master
 
Messaggi: 1509
Iscritto il: mar gen 02, 2007 22:53
Nome Cognome: Giovanni Santostefano
Slackware: 12.2
Kernel: 2.6.27.7-smp
Desktop: Fluxbox

Re: Slackware64 e applicazioni a 32 bit

Messaggioda navajo » gio giu 11, 2009 22:07

Non so se su slackware vada bene lo stesso, o se si può prendere come spunto.
Su debian amd_64 si possono far girare i programmi a 32 con chroot:
http://www.debian-administration.org/ar ... ian_system
se è utile bene, altrimenti fate finta che non abbia postato nulla :D :D
Avatar utente
navajo
Staff
Staff
 
Messaggi: 3829
Iscritto il: gio gen 08, 2004 0:00
Località: Roma
Nome Cognome: Massimiliano
Slackware: 13.37 (x86_64)
Kernel: 2.6.37.6
Desktop: KDE 4.7.0 (Alien)

Re: Slackware64 e applicazioni a 32 bit

Messaggioda JohnnyMnemonic » gio giu 11, 2009 22:32

Come suggerito da Conraid in altro luogo c'è anche questo metodo

http://www.slackware.org.uk/slamd64/sla ... 4-current/

Ma si tratta di cambiare molti pacchetti...
Avatar utente
JohnnyMnemonic
Staff
Staff
 
Messaggi: 2733
Iscritto il: sab set 04, 2004 23:00
Località: Bologna
Nome Cognome: Giuseppe Palmiotto
Slackware: 14.0
Kernel: 3.5.5-thanatos

Re: Slackware64 e applicazioni a 32 bit

Messaggioda neongen » gio giu 11, 2009 23:26

io sto usando i pacchetti di compatibilità di bluewhite
Avatar utente
neongen
Packager
Packager
 
Messaggi: 827
Iscritto il: ven mag 25, 2007 11:37
Nome Cognome: Enrico
Slackware: 14.0_64
Kernel: 3.4.4
Desktop: KDE 4.5.5
Distribuzione: Maemo 5

Re: Slackware64 e applicazioni a 32 bit

Messaggioda ponce » ven giu 12, 2009 6:01

JohnnyMnemonic ha scritto:Come suggerito da Conraid in altro luogo c'è anche questo metodo

http://www.slackware.org.uk/slamd64/sla ... 4-current/

Ma si tratta di cambiare molti pacchetti...

in realta' sono aggiuntivi (striminziti, praticamente solo librerie), non sono invasivi, buttano praticamente tutto in /usr/lib: ho dato un'occhiata agli slackbuilds e in pratica cancellano tutto quello che non e' in $PKG/usr/lib prima del makepkg.
io li uso senza problemi per wine e enemy territory: devo ancora spiegarmi perche', ma i giochi vanno piu' veloci cosi' che su una slackware a 32bit pulita (con la solita versione dei driver nvidia -l'ultima stabile, 185.18.14- c'e' un aumento molto sensibile di prestazioni) :D
Avatar utente
ponce
Master
Master
 
Messaggi: 1515
Iscritto il: mer mar 05, 2008 16:45
Località: Pisa
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.18-rc2
Desktop: lxde

Re: Slackware64 e applicazioni a 32 bit

Messaggioda NikyBiasion » dom lug 05, 2009 13:15

Ponce, puoi posta re lo slackbuild di wine che hai usato o spiegare come hai fatto?
Io credo di avere dei problemi con le opengl, wine compila e mi funziona, ma se faccio partire un gioco (wow) non si avvia la parte grafica e il processo rimane bloccato a 99% della cpu.
Avatar utente
NikyBiasion
Linux 1.0
Linux 1.0
 
Messaggi: 66
Iscritto il: mer ott 26, 2005 12:12
Località: Fossalta di Piave (VE)
Slackware: 14.0 x64
Kernel: 3.2.26ck
Desktop: XFCE 4.10

Re: Slackware64 e applicazioni a 32 bit

Messaggioda ponce » dom lug 05, 2009 15:01

lo slackbuild che ho usato e' questo
Codice: Seleziona tutto
#!/bin/sh
# $Id: wine.SlackBuild,v 1.49 2009/05/28 15:01:36 root Exp root $
# Copyright 2006-2009  Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
#   Permission to use, copy, modify, and distribute this software for
#   any purpose with or without fee is hereby granted, provided that
#   the above copyright notice and this permission notice appear in all
#   copies.
#
#   THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
#   WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#   IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#   SUCH DAMAGE.
# -----------------------------------------------------------------------------
# Slackware SlackBuild script
# ===========================
# By:        Eric Hameleers <alien@slackware.com>
# For:       wine
# Descr:     Wine Is Not an Emulator
# URL:       http://winehq.com/
# Needs:     fontforge (builds better fonts when compiling wine)
# Changelog:
# 0.9.23-1:   24/Oct/2006 by Eric Hameleers <alien@slackware.com>
#            * Initial build.
# 0.9.25-1:   14/nov/2006 by Eric Hameleers <alien@slackware.com>
# 0.9.30-1:   30/jan/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.31-1:   17/feb/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.32-1:   02/mar/2007 by Eric Hameleers <alien@slackware.com>
#            * Update. I wasn't so happy with 0.9.31, it would not run HL2
#              anywhere near reliably.
# 0.9.33-1:   20/mar/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.34-1:   03/apr/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.35-1:   15/apr/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.36-1:   29/apr/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.37-1:   12/may/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.38-1:   04/jun/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.39-1:   17/jun/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.41-1:   24/jul/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.43-1:   14/aug/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.44-1:   25/aug/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.45-1:   15/sep/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.46-1:   03/oct/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.47-1:   13/oct/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.48-1:   29/oct/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.49-1:   13/nov/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.50-1:   02/dec/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.51-1:   19/dec/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.52-1:   30/dec/2007 by Eric Hameleers <alien@slackware.com>
# 0.9.53-1:   12/jan/2008 by Eric Hameleers <alien@slackware.com>
# 0.9.54-1:   28/jan/2008 by Eric Hameleers <alien@slackware.com>
# 0.9.55-1:   10/feb/2008 by Eric Hameleers <alien@slackware.com>
# 0.9.56-1:   23/feb/2008 by Eric Hameleers <alien@slackware.com>
# 0.9.57-1:   14/mar/2008 by Eric Hameleers <alien@slackware.com>
# 0.9.58-1:   22/mar/2008 by Eric Hameleers <alien@slackware.com>
# 0.9.59-1:   05/apr/2008 by Eric Hameleers <alien@slackware.com>
# 0.9.60-1:   21/apr/2008 by Eric Hameleers <alien@slackware.com>
# 0.9.61-1:   06/may/2008 by Eric Hameleers <alien@slackware.com>
# 1.0.rc1-1:  11/may/2008 by Eric Hameleers <alien@slackware.com>
# 1.0.rc2-1:  26/may/2008 by Eric Hameleers <alien@slackware.com>
# 1.0.rc3-1:  02/jun/2008 by Eric Hameleers <alien@slackware.com>
# 1.0.rc4-1:  07/jun/2008 by Eric Hameleers <alien@slackware.com>
# 1.0-1:      18/jun/2008 by Eric Hameleers <alien@slackware.com>
#             * Yeah!
# 1.1.0-1:    04/jul/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.2-1:    26/jul/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.3-1:    30/aug/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.4-1:    09/sep/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.5-1:    24/sep/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.6-1:    13/oct/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.7-1:    27/oct/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.9-1:    21/nov/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.10-1:   06/dec/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.11-1:   22/dec/2008 by Eric Hameleers <alien@slackware.com>
# 1.1.22-1:   28/may/2009 by Eric Hameleers <alien@slackware.com>
#
# Run 'sh wine.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
# Install using 'installpkg'.
#
# -----------------------------------------------------------------------------

# Set initial variables:

PRGNAM=wine
SRCVER=${SRCVER:-"1.1.24"}
VERSION=$(echo $SRCVER | tr '-' '.')
ARCH=${ARCH:-"x86_64"}
BUILD=${BUILD:-2}
TAG=${TAG:-ponce}

DOCS="ANNOUNCE AUTHORS COPYING.LIB ChangeLog LICENSE* README VERSION"

# Set the variable OPENGL to "NO" if you don't have a card that
# supports hardware accelerated OpenGL:
OPENGL=${OPENGL:-"YES"}    # Use 'YES' not 'yes' : case-sensitive!

# If you set REQUIRE_FONTFORGE to "NO" then the script won't refuse to build
#   wine in case you don't have fontforge installed (it is needed to
#   generate the required base fonts).
REQUIRE_FONTFORGE=${REQUIRE_FONTFORGE:-"YES"}

# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)

# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/txz}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}

SOURCE="$SRCDIR/${PRGNAM}-${SRCVER}.tar.bz2"
SRCURL="http://ibiblio.org/pub/linux/system/emulators/${PRGNAM}/${PRGNAM}-${SRCVER}.tar.bz2"

##
## --- with a little luck, you won't have to edit below this point --- ##
##

# Exit the script on errors:
set -e
trap 'echo "$0 FAILED on line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}

case "$ARCH" in
  i486)      SLKCFLAGS="-O2 -march=i486 -mtune=i686"
             SLKLDFLAGS=""; LIBDIRSUFFIX=""
             ;;
  s390)      SLKCFLAGS="-O2"
             SLKLDFLAGS=""; LIBDIRSUFFIX=""
             ;;
  powerpc)   SLKCFLAGS="-O2"
             SLKLDFLAGS=""; LIBDIRSUFFIX=""
             ;;
  x86_64)    SLKCFLAGS="-O2 -fPIC -mtune=native -pipe"
             SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
             ;;
  athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
             SLKLDFLAGS=""; LIBDIRSUFFIX=""
             ;;
esac

# Prepare a sane build environment:
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build and continue
mkdir -p $PKG             # place for the package to be built
rm -rf $PKG/*             # We always erase old package's contents
mkdir -p $OUTPUT          # place for the package to be saved

# Source files availability:
if ! [ -f ${SOURCE} ]; then
  if ! [ "x${SRCURL}" == "x" ]; then
    # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
    [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
    echo "Source '$(basename ${SOURCE})' not available yet..."
    echo "Will download file to $(dirname $SOURCE)"
    wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
    if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
      echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
      mv -f "${SOURCE}" "${SOURCE}".FAIL
      exit 1
    fi
  else
    echo "File '$(basename ${SOURCE})' not available... aborting the build."
    exit 1
  fi
fi

if [ "$P1" == "--download" ]; then
  echo "Download complete."
  exit 0
fi

# --- PACKAGE BUILDING ---

echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"

if ! which fontforge >/dev/null 2>&1 ; then
  echo "##"
  echo "## The 'fontforge' program does not seem to be installed."
  echo "## Wine uses fontforge to generate several TTF fonts (tahoma,tahomabd,marlett)"
  echo "##   that your Windows programs may want to use!"
  if [ "$REQUIRE_FONTFORGE" != "YES" ]; then
    echo "##"
    echo "## Continuing the build anyway, but you were warned..."
    echo "## Sleeping for 5 seconds, press <Ctrl>-C if you want to abort now."
    echo "##"
    sleep 5
  else
    echo "##"
    echo "## Aborting the build - set the internal script variable:"
    echo "##"
    echo "##   'REQUIRE_FONTFORGE' to a value of 'NO'"
    echo "##"
    echo "## if you don't want to use fontforge to generate TTF fonts."
    echo "##"
    exit 1
  fi
fi

cd $TMP/tmp-$PRGNAM

echo "Extracting the source archive(s) for $PRGNAM..."
tar -xvf ${SOURCE}
[ "$SRCVER" != "$VERSION" ] && mv ${PRGNAM}-${SRCVER} ${PRGNAM}-${VERSION}
cd ${PRGNAM}-${VERSION}
# Starting with openssl-0.9.8h, a typedef was introduced named "X509_EXTENSIONS"
# into openssl/x509.h.  Unfortunately, wine uses a define of the same name
# in include/wincrypt.h. You may need this patch:
#patch -p0 < $SRCDIR/wine_openssl.patch
chown -R root:root .
chmod -R u+w,go+r-w,a-s .

echo Building ...

[ "${OPENGL}" = "YES" ] && do_opengl="" || do_opengl="out"

LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --libdir=/usr/lib${LIBDIRSUFFIX} \
  --localstatedir=/var \
  --sysconfdir=/etc \
  --mandir=/usr/man \
  --disable-tests\
  --with-x \
  --with${do_opengl}-opengl \
  --program-prefix= \
  --program-suffix= \
  --build=$ARCH-slackware-linux \
  2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
make depend 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
make -j4 2>&1 | tee -a $OUTPUT/make-${PRGNAM}.log
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log

# Add a desktop menu for the winecfg program:
mkdir -p $PKG/usr/share/pixmaps
cp -a programs/winemenubuilder/wine.xpm $PKG/usr/share/pixmaps/
mkdir -p $PKG/usr/share/applications
cat <<-_EOT_ > $PKG/usr/share/applications/winecfg.desktop
   [Desktop Entry]
   Exec=winecfg
   Icon=/usr/share/pixmaps/wine.xpm
   Terminal=false
   Name=Wine Configuration
   Comment=Configure Wine
   Type=Application
   Categories=Application;Settings
   _EOT_

# Add some documentation to the package:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;

# Compress the man page(s)
if [ -d $PKG/usr/man ]; then
  cd  $PKG/usr/man
  find . -type f -name "*.?" -exec gzip -9f {} \;
  for i in $(find . -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi

# Strip binaries
cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
cd -

# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
if [ -f $SRCDIR/doinst.sh ]; then
  cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
fi
if [ -f $SRCDIR/slack-required ]; then
  cat $SRCDIR/slack-required > $PKG/install/slack-required
fi

# Build the package:
cd $PKG
makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
if [ -f $PKG/install/slack-required ]; then
  cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.dep
fi
Avatar utente
ponce
Master
Master
 
Messaggi: 1515
Iscritto il: mer mar 05, 2008 16:45
Località: Pisa
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.18-rc2
Desktop: lxde

Re: Slackware64 e applicazioni a 32 bit

Messaggioda NikyBiasion » dom lug 05, 2009 18:09

mah, niente da fare. Nemmeno con il tuo slackbuild funziona. E come con il mio, la prima volta che lancio winecfg (quindi senza aver la directory ~/.wine) mi da errore. O è un problema della 1.1.25 o sono le librerie di compatibilità, in ambiente chroot funziona perfettamente.
Avatar utente
NikyBiasion
Linux 1.0
Linux 1.0
 
Messaggi: 66
Iscritto il: mer ott 26, 2005 12:12
Località: Fossalta di Piave (VE)
Slackware: 14.0 x64
Kernel: 3.2.26ck
Desktop: XFCE 4.10

Re: Slackware64 e applicazioni a 32 bit

Messaggioda ponce » dom lug 05, 2009 18:15

potrebbe dipendere dalla versione di mesa installata (che viene usata per compilare wine): con le nvidia penso vengano usate le librerie opengl proprietarie :-k
darei un'occhiata anche qui, magari dicono qualcosa di pertinente...
Avatar utente
ponce
Master
Master
 
Messaggi: 1515
Iscritto il: mer mar 05, 2008 16:45
Località: Pisa
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 3.18-rc2
Desktop: lxde

Re: Slackware64 e applicazioni a 32 bit

Messaggioda NikyBiasion » dom lug 05, 2009 19:43

Risolto! Reinstallando i dirver NVidia mi ha ripristinato alcune librerie di compatibilità!
Avatar utente
NikyBiasion
Linux 1.0
Linux 1.0
 
Messaggi: 66
Iscritto il: mer ott 26, 2005 12:12
Località: Fossalta di Piave (VE)
Slackware: 14.0 x64
Kernel: 3.2.26ck
Desktop: XFCE 4.10

Re: Slackware64 e applicazioni a 32 bit

Messaggioda targzeta » lun lug 06, 2009 0:20

Per far girare un programma compilato a 32 bit sul sistema operativo a 64 bit bisogna abilitare l'emulazione a 32 bit. Il parametro si chiama
Codice: Seleziona tutto
CONFIG_IA32_EMULATION=y
ma forse di default è già attivo nel kernel della slackware a 64 bit.

Una volta che il kernel è capace di eseguire programmi a 32bit, allora basta avere le librerie a 32 bit richieste dal programma e il gioco è fatto.

Suddette librerie le potete prendere o dai pacchetti slackware (cercando di evitare l'installazione dei binari) oppure più semplicemente dai pacchetti per la slamd64 che ha una directory chiamata /c (ad esempio eccovi un mirror) contenente molte librerie a 32 bit.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6195
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: Slackware64 e applicazioni a 32 bit

Messaggioda Meskalamdug » ven lug 10, 2009 13:23

JohnnyMnemonic ha scritto:Come suggerito da Conraid in altro luogo c'è anche questo metodo

http://www.slackware.org.uk/slamd64/sla ... 4-current/

Ma si tratta di cambiare molti pacchetti...

Io li sto usando,sono perfetti per wine
a 32 bit

:D
Meskalamdug
Iper Master
Iper Master
 
Messaggi: 3593
Iscritto il: gio mag 13, 2004 23:00


Torna a Slackware64

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti